import Vue, { VNode } from 'vue';
import { UploadFile } from './type';
import { ClassName } from '../../common.type';
import { UploadConfig } from '../config-provider/config-receiver';
declare const _default: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider/type").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: UploadConfig;
    classPrefix: string;
    componentName: string;
    installName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    target: any;
    dragActive: boolean;
}, {
    handleDrop(event: DragEvent): void;
    handleDragenter(event: DragEvent): void;
    handleDragleave(event: DragEvent): void;
    handleDragover(event: DragEvent): void;
    renderDefaultDragElement(): VNode;
    renderImage(): any;
    renderUploading(): any;
    reUpload(e: MouseEvent): void;
    renderProgress(): any;
}, {
    isImage: boolean;
    imageUrl: string;
    percent: number;
    inputName: string;
    classes: ClassName;
    size: number;
    showResultOperate: boolean;
}, {
    showUploadProgress: boolean;
    file: UploadFile;
    loadingFile: UploadFile;
    display: string;
    cancel: (e: MouseEvent) => void;
    trigger: (e: MouseEvent) => void;
    remove: ({ e, file }: {
        e: MouseEvent;
        file: UploadFile;
    }) => void;
    upload: (file: UploadFile, e: MouseEvent) => void;
    autoUpload: boolean;
    locale: UploadConfig;
}>;
export default _default;
